Bug 1286243 - parmetis.h should be installed
parmetis.h should be installed
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: scotch (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 10:04 EST by Dave Love
Modified: 2015-12-15 22:24 EST (History)
1 user (show)

See Also:
Fixed In Version: scotch-6.0.4-7.fc23 scotch-6.0.4-7.fc22 scotch-6.0.4-7.el7 scotch-6.0.4-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-06 14:19:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
install parmetis.h, with changes to build on el6 (2.49 KB, patch)
2015-11-27 10:04 EST, Dave Love
no flags Details | Diff

  None (edit)
Description Dave Love 2015-11-27 10:04:19 EST
Created attachment 1099730 [details]
install parmetis.h, with changes to build on el6

Description of problem:
libptscotchparmetis isn't very useful without the header file.

I've attached a patch (against a fedpkg clone) to add it, but I had to make
other changes to build on el6.

The same would apply to metis.h and libscotchmetis, but metis is available
and the header would either have to live somewhere else or use alternatives,
so I don't think it's worth worrying about.

Version-Release number of selected component (if applicable):
6.0.4-6
Comment 1 Sandro Mani 2015-11-27 11:18:26 EST
Thanks!
Comment 2 Fedora Update System 2015-11-27 11:20:17 EST
scotch-6.0.4-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-69ad47e247
Comment 3 Fedora Update System 2015-11-27 11:20:17 EST
scotch-6.0.4-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d63fef2f04
Comment 4 Fedora Update System 2015-11-27 11:20:22 EST
scotch-6.0.4-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f2b049bc50
Comment 5 Fedora Update System 2015-11-27 11:20:23 EST
scotch-6.0.4-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e27e9f2b90
Comment 6 Fedora Update System 2015-11-27 17:20:49 EST
scotch-6.0.4-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update scotch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f2b049bc50
Comment 7 Fedora Update System 2015-11-27 19:21:18 EST
scotch-6.0.4-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update scotch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e27e9f2b90
Comment 8 Fedora Update System 2015-11-27 19:21:50 EST
scotch-6.0.4-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update scotch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d63fef2f04
Comment 9 Fedora Update System 2015-11-27 21:19:42 EST
scotch-6.0.4-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update scotch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-69ad47e247
Comment 10 Fedora Update System 2015-12-06 14:19:39 EST
scotch-6.0.4-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-12-06 17:47:45 EST
scotch-6.0.4-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-15 02:58:08 EST
scotch-6.0.4-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-15 22:24:57 EST
scotch-6.0.4-7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.